import 'basico_model.dart';

class CategoriaProducto extends Basico {
  String? nombre;

  CategoriaProducto({
    super.id,
    this.nombre,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'nombre': nombre,
    }..addAll(super.toJson());
  }

  CategoriaProducto.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    nombre = Basico.parseString(json['nombre']);
  }
}
